package com.chenyang.druid.sql.dialect.mysql.ast.statement;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class MySQLImportTableStatement extends MySqlStatementImpl {
   private List<SQLExpr> sdiFiles = new ArrayList();

   public MySQLImportTableStatement() {
      this.dbType = DbType.mysql;
   }

   public void accept0(MySqlASTVisitor v) {
      if (v.visit(this)) {
         this.acceptChild(v, this.sdiFiles);
      }

      v.endVisit(this);
   }

   public List<SQLExpr> getSdiFiles() {
      return this.sdiFiles;
   }

   public void setSdiFiles(List<SQLExpr> sdiFiles) {
      this.sdiFiles = sdiFiles;
   }
}
